Download it now!
Bug 76327 - SDT block surrounds complete paragraph with citation (.docx)
Summary: SDT block surrounds complete paragraph with citation (.docx)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Jacobo Aragunde Pérez
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-18 17:23 UTC by Jorendc
Modified: 2014-07-16 09:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Selected SDT-block in the original .docx file (4.38 KB, image/png)
2014-03-18 17:25 UTC, Jorendc
Details
Selected SDT-block in roundtripped file (3.62 KB, image/png)
2014-03-18 17:26 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jorendc 2014-03-18 17:23:52 UTC
Thanks to Jacobo (commit 55211e612d2cbed03dd81c039d07ea4e936c2804 and 6820dec8903b182260340c638c35b5a5ca207a85) SDT-blocks are now preserved during roundtrip.

Just to not lose this bug I report it already (maybe to early :)?)

Reproduction steps:
* Download attachment of bug 74775 (attachment 93745 [details])
* Open it using Writer
* Resave it as .docx

Open both documents in MS Word

* Select the citation in the sentence

Current behavior: 
* In the original file, there is only a SDT-block around citation (Kramer & Chen, 2006) in the first paragraph. 
* In the roundtripped file there is a SDT-block around the whole paragraph (1 sentence in this case)

Tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 87efec9cc27b18aa09e50c289b503ba1127eb0b8
TinderBox: Win-x86@39, Branch:master, Time: 2014-03-18_02:50:50

Kind regards,
Joren
Comment 1 Jorendc 2014-03-18 17:25:40 UTC
Created attachment 96014 [details]
Selected SDT-block in the original .docx file
Comment 2 Jorendc 2014-03-18 17:26:04 UTC
Created attachment 96015 [details]
Selected SDT-block in roundtripped file
Comment 3 Jorendc 2014-03-18 17:27:46 UTC
@Jacobo: First of all, _THANKS_ for _ALL_ your work :-)! Really appreciated.

I hope I don't scare you away with reporting this bug already. I only did report it for not forget about it/keep track of it.

Kind regards,
Joren
Comment 4 Jacobo Aragunde Pérez 2014-03-19 11:40:18 UTC
Jorendc: I appreciate the testing :) . I'm taking this.
Comment 5 Jacobo Aragunde Pérez 2014-03-19 16:08:49 UTC
It happens the same with the checkbox sdt control I've just implemented, fixing that too.
Comment 6 Commit Notification 2014-03-20 09:29:44 UTC
Jacobo Aragunde Perez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=692fd140706c9366ee46c651813887c67d5b4a97

fdo#76327: only enclose the checkbox in the sdt block.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jorendc 2014-07-16 09:48:41 UTC
So as far I can see this is fixed by miklos' patch 

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2bc4ea8ddae6b01f344469d988e21fed3143c42 : DOCX import: handle SDT around citation field

Lets mark it as RESOLVED FIXED for now :-).

Kind regards,
Joren